using Siger.Middlelayer.Repository.Data.Tpm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Siger.ApiTPM.Result
{
    public class PlanResultResult : TpmResultBase
    {
        public int ret { get; set; } = 1;

        public List<GetPlanResult> data { get; set; }

        public List<object> rangess { get; set; } = new List<object>();

        public List<object> averagess { get; set; } = new List<object>();

        public List<string> names { get; set; } = new List<string>();

        public List<string> categories { get; set; } = new List<string>();

        public List<int> datas { get; set; } = new List<int>();

        public List<double> datas_y { get; set; } = new List<double>();

        public string msg { get; set; } = string.Empty;
    }

    public class CountName
    {
        public int count { get; set; }

        public string name { get; set; }
    }
}
